align-toparrow-leftarrow-rightbackbellblockcalendarcamerachatcheckchevron-downchevron-leftchevron-rightchevron-small-downchevron-small-leftchevron-small-rightchevron-small-upchevron-upcircle-with-crosscrosseditfacebookglobegoogleimagesinstagramlocation-pinmagnifying-glassmailmoremuplabelShape 3 + Rectangle 1outlookpersonplusImported LayersImported LayersImported Layersshieldstartwitteryahoo

Virtual Tech Self-Study Message Board › Github runs on Mac OS 7.x, and I have 10.6.8

Github runs on Mac OS 7.x, and I have 10.6.8

Scott
user 5248851
Canyon, CA
Post #: 1
I started to download and install Github for the homework assignment, and it only runs on Mac OS 7.x, and I have 10.6.8 ... can you please suggest workarounds?

Thank you,
Scott
Sheeri Kritzer C.
sheeri
Group Organizer
Boston, MA
Post #: 146
Hi Scott,

The "how to submit homework" is at http://www.meetup.com...­
From there, it links to how to install at https://help.github.c...­

There are 2 ways to download from there - 1 is to click the "Download GitHub for Mac" button, that downloads a file called "mac_GitHub for Mac 96.zip". I don't know if that's the file you're talking about, but if it is, you can click the link at "Download and install the latest version of Git" - which takes you to http://git-scm.com/do...­

If you click through the download, you'll get to http://git-scm.com/do...­ ... which is for Snow Leopard as far as I can tell, which is 10.6. If that doesn't work you can go directly to: http://code.google.co...­

If you are still having this problem after you do that:

"error: git-credential-osxkeychain died of signal 11" ... e.g.

macbook-pro:~ $ git config --global
user.name "scott"
macbook-pro:~ $ git config --global
user.email "foo@bar.com"
macbook-pro:~ $ git credential-osxkeychain
error: git-credential-osxkeychain died of signal 11
macbook-pro:~ $

I would recommend re-downloading just the keychain as per https://help.github.c...­ where it says "If you do not have the helper, you can download it with curl:"

It may be that the keychain helper tool you have is corrupt.
Powered by mvnForum

People in this
Meetup are also in:

Sign up

Meetup members, Log in

By clicking "Sign up" or "Sign up using Facebook", you confirm that you accept our Terms of Service & Privacy Policy